package com.alihealth.d2d.provtest.entity;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Jason 基本信息集公共类
 * @date 2025年05月30日 11:45:00
 */
@JacksonXmlRootElement(localName = "VTTSBasic")
public class VTTSBasic<T> {
   @JacksonXmlProperty(localName = "datasetName")
    private String datasetName;

    @JacksonXmlElementWrapper(localName = "dataset")
    @JacksonXmlProperty(localName = "data")
    private List<T> dataset=new ArrayList<>(); // 必须初始化集合


    // 确保有无参构造器
    public VTTSBasic() {}


    public String getDatasetName() {
        return datasetName;
    }

    public void setDatasetName(String datasetName) {
        this.datasetName = datasetName;
    }

    public List<T> getDataset() {
        return dataset;
    }

    public void setDataset(List<T> dataset) {
        this.dataset = dataset;
    }
}
